Bug 492685 - [RS690] textured video broken by the initial framebuffer resize support
[RS690] textured video broken by the initial framebuffer resize support
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-28 05:31 EDT by Yanko Kaneti
Modified: 2009-04-30 09:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-30 09:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log broken video (61.17 KB, text/plain)
2009-03-28 05:31 EDT, Yanko Kaneti
no flags Details
latest failing X log (221.80 KB, text/plain)
2009-04-02 04:29 EDT, Yanko Kaneti
no flags Details

  None (edit)
Description Yanko Kaneti 2009-03-28 05:31:35 EDT
Created attachment 337099 [details]
Xorg.0.log broken video

Textured video on RS690 got broken between 6.11.0-2.fc11 and 6.11.0-3.fc11 and remains broken up to the latest (6.12.0-2.fc11)
Just a blank video window, the following kernel spew
[drm:radeon_cs_packet0] *ERROR* illegal register 6538 0 180  (many times)
and the attached erros in the X log
Comment 1 Matěj Cepl 2009-04-01 04:07:44 EDT
Ends with the many error messages in log:

RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:878592 vs g:534769664 w:0 vs v:113157729
Comment 2 Dave Airlie 2009-04-01 20:39:40 EDT
what kernel did you test with, care to try with latest kernel + -ati from rawhide?
Comment 3 Yanko Kaneti 2009-04-02 04:19:25 EDT
as one can tell from the X log the kernel was 2.6.29-

Just tried with kernel-PAE- and -ati-6.12.1-2.fc11.i586
No improvement.
Comment 4 Yanko Kaneti 2009-04-02 04:29:47 EDT
Created attachment 337745 [details]
latest failing X log

This time the kernel log is
[drm:radeon_cs_packet0] *ERROR* illegal register 6538 0 252
Comment 5 Yanko Kaneti 2009-04-15 10:08:01 EDT
as of kernel- and -ati-6.12.2-3 there is no longer kernel log spew, the X log spew is reduced to many 
(EE) RADEON(0): ADVANCE_RING count != expected (14 vs 16) at radeon_textured_videofuncs.c:1623

and there is actually video showing up.
Comment 6 Yanko Kaneti 2009-04-24 16:53:55 EDT
xvideo broke again with -ati-6.12.2-6, it shows just a somewhat reddish window. works with -5. The message filling the xorg log remains.
Comment 7 Hin-Tak Leung 2009-04-25 22:11:20 EDT
The xvideo breakage is due to continual work on bug 493068 . but I am seeing the message spew in Xorg also.
Comment 8 Yanko Kaneti 2009-04-27 04:55:41 EDT
with -ati-6.12.2-7 video works and the Xorg.log warning is gone
Comment 9 Hin-Tak Leung 2009-04-30 09:05:43 EDT
We can probably close all three bugs ( Bug 492685 , Bug 497755 , Bug 497427 ) 
if attachment 
https://bugzilla.redhat.com/attachment.cgi?id=341919 of bug 497427 (see comment 
https://bugzilla.redhat.com/show_bug.cgi?id=497427#c20  ) is taken in?
Comment 10 Yanko Kaneti 2009-04-30 09:48:16 EDT
I think the original issue with this particular bug was resolved some time ago. So whatever remains is probably best tracked in the other bugs.

Note You need to log in before you can comment on or make changes to this bug.